AssignUser
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.SessionPolicy.AssignUser(ctx, operations.C1APISessionPolicyV1SessionPolicyServiceAssignUserRequest{
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.SessionPolicyServiceAssignUserResponse != nil {
// handle response
}
}curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/session-policies/{id}/assignments/users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userId": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/session-policies/{id}/assignments/users"
payload = { "userId": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({userId: '<string>'})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/session-policies/{id}/assignments/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Session Policy
Assign User
Assign a user to a session policy. The assignment takes effect immediately.
POST
/
api
/
v1
/
session-policies
/
{id}
/
assignments
/
users
AssignUser
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.SessionPolicy.AssignUser(ctx, operations.C1APISessionPolicyV1SessionPolicyServiceAssignUserRequest{
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.SessionPolicyServiceAssignUserResponse != nil {
// handle response
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The session policy to assign to.
Body
application/json
The SessionPolicyServiceAssignUserRequest message.
The user to assign.
Response
200 - application/json
Successful response
The SessionPolicyServiceAssignUserResponse message.
Was this page helpful?
⌘I